#!/bin/sh -ex

firefox=false
[ -z "$1" ] || firefox=true

pwd=$(pwd)
parentPath=$(cd ..; pwd)
parentName=${parentPath##*/}
cd ${ESP8266ARDUINO}/tests/host
make FORCE32=0 ssl
make -j 10 FORCE32=0 USERCFLAGS="-I ${ARDUINOLIB}/emuAsync/replacement" ULIBDIRS=${ARDUINOLIB}/emuAsync:${ARDUINOLIB}/ESPUI:${ARDUINOLIB}/ArduinoJson:${ARDUINOLIB}/arduinoWebSockets:${ARDUINOLIB}/ESPWebDAV:${ARDUINOLIB}/Debounceri:${ARDUINOLIB}/ESPWebDAV ${parentPath}/${parentName}

$firefox && (
    true '----------------------------------------'
    true '----------- starting firefox -----------'
    true '----------------------------------------'
    sleep 5
    firefox -new-window http://localhost:9080
) &

valgrind ./bin/${parentName}/${parentName} "$@"

stty sane
